
Foreman - Feature #1057

Allow foreman search to output multiple hosts when outputting to rundeck

07/20/2011 10:53 AM - Marcello de Sousa

Status: Closed   

Priority: Normal   

Assignee: Ohad Levy   

Category: API   

Target version: 0.4   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Now we are only able to output a single host and rundeck works with the concept of a "project" where you would expect multiple

hosts to be output.

So, I guess instead of this url:

http://foreman/hosts/<fqdn>?rundeck=true&format=yaml

 we should support something like this:

http://foreman/hosts?search=++facts.operatingsystem++%3D++CentOS?rundeck=true&format=yaml

Related issues:

Related to Foreman - Feature #1018: Add rundeck integration support Closed 06/30/2011

Related to Foreman - Feature #1132: Make SSL requirement optional for method ... Closed 08/26/2011

Associated revisions

Revision c21e2678 - 08/25/2011 03:28 PM - Ohad Levy

fixes #1057 - Allow foreman search to output multiple hosts when outputting to rundeck

History

#1 - 08/25/2011 09:24 PM - Ohad Levy

- Status changed from New to Closed

- % Done changed from 0 to 100

Applied in changeset c21e2678ed1ef7ac914174ce809f301d042a8c3b.

#2 - 09/04/2011 03:52 AM - Ohad Levy

- Assignee set to Ohad Levy
